> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/qlm-portal/hosting-the-qlm-portal-on-azure.md).

# Hosting the QLM Portal on Azure

If you are hosting the QLM License Server and the QLM Portal on an Azure site, a special configuration is required if you use a custom URL to access the QLM Portal rather than the URL generated by Azure such as <https://mysite.azurewebsites.net/qlmservice.asmx>.

If you are using the default URL generated by Azure, this article does not apply to you.

QLM parses your URL and determines if the site is an Azure site by verifying that the domain matches "azurewebsites.net". If you created a custom URL that does not use azurewebsites.net, you need to instruct QLM that your site is hosted on Azure.&#x20;

This is done by adding the following settings in the corresponding web.config files as shown in the table below. Note that this feature is supported as of QLM 14.1.

&#x20;

<table data-header-hidden><thead><tr><th width="169"></th><th></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Service</strong></td><td><strong>Folder/File</strong></td><td><strong>Section</strong></td><td><strong>Setting</strong></td></tr><tr><td>License Server</td><td>QlmLicenseServer/web.config</td><td>QlmWebService.Properties.Settings</td><td><p> </p><p>&#x3C;setting name="azureService" serializeAs="String"><br>&#x3C;value>True&#x3C;/value><br>&#x3C;/setting></p></td></tr><tr><td>Portal</td><td>QlmPortal/web.config</td><td>appSettings</td><td>&#x3C;add key="azureService" value="true"/></td></tr><tr><td>Customer Portal</td><td>QlmCustomerPortal/qlm-portal-api/web.config</td><td>appSettings</td><td>&#x3C;add key="azureService" value="true"/></td></tr></tbody></table>

&#x20;

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/qlm-portal/hosting-the-qlm-portal-on-azure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
